{
  plugins.telescope = {
    enable = true;

    extensions = {
      file-browser.enable = true;
      fzf-native.enable = true;
    };

    keymaps = {
      ";" = {
        action = "find_files";
        options.desc = "Find project files";
      };

      "<leader>g" = {
        action = "live_grep";
        options.desc = "Grep from root dir";
      };
    };
  };

  extraConfigLua =
    /*
    lua
    */
    ''
      require("telescope").setup{
        pickers = {
          colorscheme = {
            enable_preview = true
          }
        }
      }
    '';
}
